Loading... Please wait...

No worries with Heartbleed...

Posted by

Just wanted to confirm to our customers that our servers were not using a version of OpenSSL that would have been affected by Heartbleed.

If you have any concerns, please contact us!

comments powered by Disqus